<?php

/***************************************************************************************
 *											*
 *   	Copyright 2006 by Davide Simoncelli                                      	*
 *   	Email: netcelli_gentoo at users dot sourceforge dot net                      	*
 *                                                                         		*
 *   	This program is free software; you can redistribute it and/or			*
 *	modify it under the terms of the GNU General Public License			*
 *	as published by the Free Software Foundation; either version 2			*
 *	of the License, or (at your option) any later version.				*
 *											*
 *	This program is distributed in the hope that it will be useful,			*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of			*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the			*
 *	GNU General Public License for more details.					*
 *											*
 *	You should have received a copy of the GNU General Public License		*
 *	along with this program; if not, write to the Free Software			*
 *	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.	*	
 *											*
 ****************************************************************************************/
if($user->checkClass(3))
{
	$messages = array ("The password\'s field is empty; please fill in with the correct password"=>'passchange_empty',
						"The password's fields are empty; please fill in with the correct passwords.<br> If you want reset the password of this account please check the box \"Let user change pass\""=>'passchange_empty2');

	if(isset($_GET['message']) && isset($_GET['type'])) Utility::getMessage($messages, $_GET['message'],$_GET['type']);
	
	$nick = isset($_GET['nick'])  ? $_GET['nick'] : USER_NICK ;
	
	$info_user = Verlidb::getUserInfo($nick);
	
	$dis = (USER_CLASS < $info_user['class']) ? ' disabled="disabled"' : '';
	echo '<br /><br />
	<div align="center"><table style="border:0px; width:425px;" cellspacing="0" cellpadding="0">
	<tr><td style="height:7px;"><img src="img/main_bg_top_otherp.png" alt="" width="425" height="7"/></td></tr>
	<tr><td class="main" style="padding-left:10px;"></div>
	';
	?>
	<form action="./?post=updateuser" method="post">
	<input type="hidden" value="<?=$info_user['nick']?>" name="nick" />
	<table class="frame" style="width:400px;" cellpadding="0">
	  <tr>
	    <th colspan="2" class="title"><img src="./img/edit.png" alt="16" /> <?=$lang->getWord('edituser');?> <span style="color:#666;">&raquo;</span> <?=$info_user['nick']?> <? Utility::showHelp(); ?></th>
	  </tr>
	  <tr>
	    <th><?=$lang->getWord('nick');?></th>
	    <td style="width:190px;"><input type="text" name="newnick" value="<?=$info_user['nick']?>"<?=$dis?> /></td>
	  </tr>
	  <tr>
	    <th><?=$lang->getWord('class');?></th>
	    <td>
<?php
		Utility::ClassSelectMenu($info_user['class'],5,$dis);
?>

	    </td>
	  </tr>
	 <tr>
	    <th><?=$lang->getWord('enabled');?></th>
		<td>
	<?
	Utility::printSelect('enabled','none',$info_user['enabled']);
	?>
	</td>
	  </tr>
	<tr>
	    <th><?=$lang->getWord('letuserchangepass');?></th>
		<td><input type="checkbox" name="pwd_change" style="border:0;" value="true" <?=$dis?> /></td>
	  </tr>
	  <tr>
	    <td>&nbsp;</td>
	    <td><input type="submit" value="<?=$lang->getWord('save');?>" class="submit" <?=$dis?> /> <input type="button" value="<?=$lang->getWord('deleteuser');?>" class="button" onclick="if(confirm('Do you want to delete this user?')){location='./?page=deleteuser&amp;nick=<?=urlencode($info_user['nick'])?>'};" <?=$dis?>/></td>
	  </tr>
	</table>
	</form>
<?php
	if(USER_CLASS>=$info_user['class'])
	{
?>
		<form action="./?post=changepass" method="post">
		<input type="hidden" value="<?=$info_user['nick']?>" name="nick" />
		<table class="frame" style="width:400px;" cellpadding="0">
		  <tr>
		    <th colspan="2" class="title"><img src="./img/pwd.png" alt="16"> <?=$lang->getWord('changepass');?></th>
		  </tr>
		<?php
		if(@$_GET['passerror']=="pass")
		{
			echo '<tr><td colspan="2">';
			Utility::error("Passwords didn't match");
			echo '</td></tr>';
		}
		if(@$_GET['passchange']=="pass")
		{
			echo '<tr><td colspan="2">';
			Utility::good($lang->getWord('passchange')." ".$lang->getWord('for')." nick ".$info_user['nick']);
			echo '</td></tr>';
		}
		elseif(@$_GET['passerror']=="class")
		{
			echo '<tr><td colspan="2">';
			Utility::error($lang->getWord('noacces').", ".$lang->getWord('classtolow').". ".$lang->getWord('yourclass').": ".$classes[USER_CLASS]." (".USER_CLASS."),<br /> ".$lang->getWord('requiredclass').": {$classes[$class]} ($class)");
			echo '</td></tr>';
		}
		
		?>
		  <tr>
		    <th><?=$lang->getWord('newpass');?></th>
			<td style="width:190px;"><input type="password" name="pass1" value="" /></td>
		  </tr>
		  <tr>
		    <th><?=$lang->getWord('confirmpass');?></th>
			<td><input type="password" name="pass2" value="" /></td>
		  </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td><input type="submit" value="<?=$lang->getWord('changepass');?>" class="other" /></td>
		  </tr>
		</table>
		</form>
		
<?php
	}
	if(USER_CLASS>=$info_user['class'])
	{
?>
		<form action="./?post=updateuser_other" method="post">
		<input type="hidden" value="<?=$info_user['nick']?>" name="nick" />
		<table class="frame" style="width:400px;" cellpadding="0">
		  <tr>
		    <th colspan="2" class="title"><img src="img/otherisp.png" alt="16" /> <?=$lang->getWord('other_settings');?></th>
		  </tr>
		<?
			if(USER_CLASS=="10" && $info_user['class']>=3)
			{
		?>
		<tr>
		    <th><?=$lang->getWord('hide_kick');?></th>
			<td style="width:190px;">
		<?
			Utility::printSelect('hide_kick','none',$info_user['hide_kick']);
		?></td>
		  </tr>
		<tr>
		    <th><?=$lang->getWord('hide_keys');?></th>
			<td style="width:190px;">
			<?
			Utility::printSelect('hide_keys','none',$info_user['hide_keys']);
		echo "</td>
		  </tr>";
			}
		?>
		  <tr>
		    <th><?=$lang->getWord('note-op');?></th>
			<td style="width:190px;"><textarea name="note_op"><?echo $info_user['note_op'];?></textarea></td>
		  </tr>
		  <tr>
		    <th><?=$lang->getWord('note-user');?></th>
			<td><textarea name="note_usr"><?echo $info_user['note_usr'];?></textarea></td>
		  </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td><input type="submit" value="<?=$lang->getWord('edit');?>" class="submit"/></td>
		  </tr>
		</table>
		</form>
<?
	}
	echo '</td></tr><tr><td style="height:7px;"><img src="img/main_bg_bottom_otherp.png" alt="" width="425" height="7" /></td></tr></table>';
}
?>