<?php
/***************************************************************************************
 *											*
 *   	Copyright 2006 by Davide Simoncelli                                      	*
 *   	Email: netcelli_gentoo at users dot sourceforge dot net                      	*
 *                                                                         		*
 *   	This program is free software; you can redistribute it and/or			*
 *	modify it under the terms of the GNU General Public License			*
 *	as published by the Free Software Foundation; either version 2			*
 *	of the License, or (at your option) any later version.				*
 *											*
 *	This program is distributed in the hope that it will be useful,			*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of			*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the			*
 *	GNU General Public License for more details.					*
 *											*
 *	You should have received a copy of the GNU General Public License		*
 *	along with this program; if not, write to the Free Software			*
 *	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.	*	
 *											*
 ****************************************************************************************/
if($user->checkClass(5))
{
	$messages = array ("Verlihub settings have been updated"=>'edit_ok',
						"ISP settings have been updated"=>'edit_isp_ok',
						"Forbid settings have been updated"=>'edit_forbid_ok');

	if(isset($_GET['message']) && isset($_GET['type'])) Utility::getMessage($messages, $_GET['message'],$_GET['type']);
	
	echo '<br /><br />
		<div align="center"><table style="border:0px; width:800px;" cellspacing="0" cellpadding="0">
	<tr><td style="height:7px;"><img src="img/main_bg_top_r.png" alt="" /></td></tr>
	<tr><td class="main" style="padding-left:10px;"></div>
	';
	Utility::checksettings('pi_isp','isp_settings','ISP');
	Utility::checksettings('pi_forbid','forbid_settings','Forbid');
	Utility::checksettings('ezesettings','ezechiele_settings','Ezechiele2');
	?>
	<a href="./?page=lang"> <?=$lang->getWord('lang_setting')?> - </a>
	<a href="./?page=settings"><b> <?=$lang->getWord('advance_settings')?></b></a>
	<form action="./?post=simple_settings" method="post">
	<input  type="hidden" name="redirect" value="./index.php?page=simple_settings&message=edit_ok&type=good" />
	<table class="frame" style="width:780px;" cellspacing="0" cellpadding="0">
	  <tr>
	    <th colspan="3" class="title"><img src="img/setting.png" alt="16" /> <?=$lang->getWord('simple_settings')?> <? Utility::showHelp(); ?></th>
	  </tr>
	  <tr style="background-color:#;">
	    <th style="width:160px;"><?=$lang->getWord('setting')?></th>
	    <th style="width:170px;"><?=$lang->getWord('value')?></th>
	    <th style="width:440px;"><?=$lang->getWord('descr')?></th>
	  </tr>
	  <tr>
	    <td colspan="3" class="title2"><img src="img/basic.png" alt="16" /> Basics</td>
	  </tr>
	  <tr>
	    <td class="frame">Hubname</td>
		<td class="frame"><input type="text" name="hub_name" value="<?=Verlidb::getConfig('hub_name');?>" maxlength="100" /></td>
		<td class="frame">The name of your hub.</td>
	  </tr>
	  <tr>
	    <td class="frame">Hubowner</td>
		<td class="frame"><input type="text" name="hub_owner" value="<?=Verlidb::getConfig('hub_owner');?>" maxlength="32" /></td>
		<td class="frame">Owner that runs the hub.</td>
	  </tr>
	  <tr>
	    <td class="frame">Hubdescription</td>
		<td class="frame"><input type="text" name="hub_desc" value="<?=Verlidb::getConfig('hub_desc');?>" maxlength="100" /></td>
		<td class="frame">A description of your hub.</td>
	  </tr>
	  <tr>
	    <td class="frame">Hub Security name</td>
		<td class="frame"><input type="text" name="hub_desc" value="<?=Verlidb::getConfig('hub_security');?>" maxlength="100" /></td>
		<td class="frame">This is the name of the Hub Security bot.</td>
	  </tr>
	  <tr>
	    <td class="frame">OPCHat name</td>
		<td class="frame"><input type="text" name="hub_desc" value="<?=Verlidb::getConfig('opchat_name');?>" maxlength="100" /></td>
		<td class="frame">This is the name of the OpChat bot</td>
	  </tr>
	   	
	  <tr>
	    <td colspan="3" class="title2"><img src="img/network.png" alt="16" /> Network</td>
	  </tr>
	  <tr>
	    <td class="frame">Hub address</td>
		<td class="frame"><input type="text" name="hub_host" value="<?=Verlidb::getConfig('hub_host');?>" maxlength="32" /></td>
		<td class="frame">What people will use to connect to your hub. (An example: myhub.no-ip.com)</td>
	  </tr>
	  <tr>
	    <td class="frame">Listen ip</td>
		<td class="frame"><input type="text" name="listen_ip" value="<?=Verlidb::getConfig('listen_ip');?>" maxlength="32" /></td>
		<td class="frame">If you have more than one network card in your PC, enter the IP address to listen on. If you don't have more than one network card, no change is necessary.</td>
	  </tr>
	  <tr>
	    <td class="frame">Hub port</td>
		<td class="frame"><input type="text" name="listen_port" value="<?=Verlidb::getConfig('listen_port');?>" maxlength="5" style="width:40px; " /></td>
		<td class="frame">The port the hub listens on. Other hubs use port 411, but you need to run verlihub as root to do that. Default=4111.</td>
	  </tr>
	  <tr>
	    <td class="frame">Extra ports</td>
		<td class="frame"><input type="text" name="extra_listen_ports" value="<?=Verlidb::getConfig('extra_listen_ports');?>" maxlength="32" /></td>
		<td class="frame">Extra ports the hub listens on.</td>
	  </tr>
	  <tr>
	    <td class="frame">Max upload</td>
		<td class="frame"><input type="text" name="max_upload_kbps" value="<?=Verlidb::getConfig('max_upload_kbps');?>" style="width:60px;" maxlength="32" /> kbps</td>
		<td class="frame">Maximum upload speed hub is allowed to use. This is VERY useful for protecting the hub against lag in larger hubs. Setting the right limit will prevent the hub from being to accept more then it can handle at any given time thus preventing a backlog of actions.</td>
	  </tr>
	  <tr>
	    <td colspan="3" class="title2"><img src="img/general.png" alt="16" /> General</td>
	  </tr>
	  <tr>
	    <td class="frame">Show tags</td>
		<td class="frame">
	<?php
	Utility::printSelect('show_tags','SetupList','',array("Hide from all","Show to all","Show to OPs"));
	?>
	    </td>
		<td class="frame">Show tags to users? 0=hide from all, 1=show tags, 2=show tags to OPs only. Default=2.</td>
	  </tr>
	  <tr>
	    <td class="frame">DNS Lookup</td>
		<td class="frame">
	<?php
	Utility::printSelect('show_tags');
	?>
		</td>
		<td class="frame">Reverse DNS lookup when user joins. Needed to see hostmask of user. If you have a slow DNS server this can slow down the hub.</td>
	  </tr>
<tr>
	    <td class="frame">Kick time</td>
		<td class="frame"><input type="text" name="tban_kick" value="<?=Verlidb::getConfig('tban_kick');?>" style="width:60px;" maxlength="32" /> seconds</td>
		<td class="frame">	Length of time people must wait after being kicked to rejoin. In seconds. Default=300 seconds.</td>
	  </tr>
	  <tr>
	  <tr>
	    <td colspan="3" class="title2"><img src="img/share.png" alt="16" /> Share Rules</td>
	  </tr>
	  <tr>
	    <td class="frame">Min share</td>
		<td class="frame"><input type="text" name="min_share" value="<?=Verlidb::getConfig('min_share');?>" style="width:60px; " maxlength="32" /> MB</td>
		<td class="frame">Minimum amount that people must share in your hub in megabytes. People that share less will not be allowed to join.</td>
	  </tr>
	  <tr>
	    <td class="frame">Min share Reg</td>
		<td class="frame"><input type="text" name="min_share_reg" value="<?=Verlidb::getConfig('min_share_reg');?>" style="width:60px; " maxlength="32" /> MB</td>
		<td class="frame">If you want your registered users to have a different minimum share level, use this.</td>
	</tr>
	  <tr>
	    <td class="frame">Min share VIP</td>
		<td class="frame"><input type="text" name="min_share_vip" value="<?=Verlidb::getConfig('min_share_vip');?>" style="width:60px; " maxlength="32" /> MB</td>
		<td class="frame">If you want your VIP users to have a different minimum share level, use this.</td>
	  </tr>
	  <tr>
	    <td class="frame">Min share OP</td>
		<td class="frame"><input type="text" name="min_share_ops" value="<?=Verlidb::getConfig('min_share_ops');?>" style="width:60px; " maxlength="32" /> MB</td>
		<td class="frame">If you want your OPs to have a different minimum share level, use this.</td>
	  </tr>
	  <tr>
	    <td class="frame">Min share use hub</td>
		<td class="frame"><input type="text" name="min_share_use_hub" value="<?=Verlidb::getConfig('min_share_use_hub');?>" style="width:60px; " maxlength="32" /> MB</td>
		<td class="frame">If this is higher then min_share then users that have less then this will not be able to search and download, but will be allowed to join the hub.</td>
	  </tr>
	  <tr>
	    <td class="frame">Max share</td>
		<td class="frame"><input type="text" name="max_share" value="<?=Verlidb::getConfig('max_share');?>" style="width:60px; " maxlength="32" /> MB</td>
		<td class="frame">If you want to prevent users from sharing too much, enter the max allowed to share in MB.</td>
	  </tr>
	  <tr>
	    <td class="frame">Max share Reg</td>
		<td class="frame"><input type="text" name="max_share_reg" value="<?=Verlidb::getConfig('max_share_reg');?>" style="width:60px; " maxlength="32" /> MB</td>
		<td class="frame">If you want to prevent registered users from sharing too much, enter the max allowed to share in MB.</td>
	  </tr>
	   <tr>
	    <td class="frame">Passive factor</td>
		<td class="frame"><input type="text" name="min_share_factor_passive" value="<?=Verlidb::getConfig('min_share_factor_passive');?>" style="width:60px; " maxlength="32" /></td>
		<td class="frame">Multiplication factor for the minimum share of passive users (a setting of 2.0 means passive have to share twice the min_share setting).</td>
	  </tr>
	  <tr>
	    <td colspan="3" class="title2"><img src="img/msg.png" alt="16" /> Messages</td>
	  </tr>
	
	  <tr>
	    <td class="frame">Banned</td>
		<td class="frame" colspan="2"><input type="text" name="msg_banned" value="<?=Verlidb::getConfig('msg_banned');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Hub full</td>
		<td class="frame" colspan="2"><input type="text" name="msg_hub_full" value="<?=Verlidb::getConfig('msg_hub_full');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Nick prefix</td>
		<td class="frame" colspan="2"><input type="text" name="msg_nick_prefix" value="<?=Verlidb::getConfig('msg_nick_prefix');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Downgrade</td>
		<td class="frame" colspan="2"><input type="text" name="msg_downgrade" value="<?=Verlidb::getConfig('msg_downgrade');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Upgrade</td>
		<td class="frame" colspan="2"><input type="text" name="msg_upgrade" value="<?=Verlidb::getConfig('msg_upgrade');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Welcome [Guest]</td>
		<td class="frame" colspan="2"><input type="text" name="msg_welcome_guest" value="<?=Verlidb::getConfig('msg_welcome_guest');?>" maxlength="200" style="width:300px;" /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Welcome [VIP]</td>
		<td class="frame" colspan="2"><input type="text" name="msg_welcome_vip" value="<?=Verlidb::getConfig('msg_welcome_vip');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Welcome [OP]</td>
		<td class="frame" colspan="2"><input type="text" name="msg_welcome_op" value="<?=Verlidb::getConfig('msg_welcome_op');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Welcome [Cheef]</td>
		<td class="frame" colspan="2"><input type="text" name="msg_welcome_cheef" value="<?=Verlidb::getConfig('msg_welcome_cheef');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Welcome [Admin]</td>
		<td class="frame" colspan="2"><input type="text" name="msg_welcome_admin" value="<?=Verlidb::getConfig('msg_welcome_admin');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame">Welcome [Master]</td>
		<td class="frame" colspan="2"><input type="text" name="msg_welcome_master" value="<?=Verlidb::getConfig('msg_welcome_master');?>" maxlength="200" style="width:300px;"  /></td>
		<td class="frame"></td>
	  </tr>
	  <tr>
	    <td class="frame" colspan="3"><div align="center"><input type="submit" value="<?=$lang->getWord('save');?>"  class="submit"/></div></td>
	  </tr>
	</table>
	
	</form>
	<?php
	echo '</td></tr><tr><td style="height:7px;"><img src="img/main_bg_bottom_r.png" alt="" /></td></tr></table>';
}
?>