<?

/***************************************************************************************
 *											*
 *   	Copyright 2006 by Davide Simoncelli                                      	*
 *   	Email: netcelli_gentoo at users dot sourceforge dot net                      	*
 *                                                                         		*
 *   	This program is free software; you can redistribute it and/or			*
 *	modify it under the terms of the GNU General Public License			*
 *	as published by the Free Software Foundation; either version 2			*
 *	of the License, or (at your option) any later version.				*
 *											*
 *	This program is distributed in the hope that it will be useful,			*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of			*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the			*
 *	GNU General Public License for more details.					*
 *											*
 *	You should have received a copy of the GNU General Public License		*
 *	along with this program; if not, write to the Free Software			*
 *	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.	*	
 *											*
 ****************************************************************************************/

/**
 *	@name Managment
 * 	@subpackage MySQL
 *	@static
 * 	@since VHCP 1.7
 * 	@package VHCP
*/

class Managment extends MySQL 
{
	
	public function buildDumpFile($filename, $compression_type='bz2')
	{
		$path_www = $_SERVER['DOCUMENT_ROOT'];
		$root_path   = ereg_replace("/index.php", '',$_SERVER['PHP_SELF']);
		$db_user = DB_USER;
		$db_pass = DB_PASS;
		$db_name = DB_NAME;
		$path_file = $path_www.$root_path."/pages/backup/".$filename.".sql";
		//$command = "mysqldump --user=$db_user --password=$db_pass $db_name > $path_file";
		//$run = system($command);
		foreach ($_POST['table_select'] as $key => $table_name) 
		{
			//echo "SELECT * INTO OUTFILE '$path_file' FROM $table_name<br>";
			$q = mysql_query("SELECT * INTO OUTFILE '$path_file' FROM $table_name") or die(mysql_error());
		}
		if ($compression_type=='bzip2' OR $compression_type=='gzip')
		{
			if(Managment::compress($filename,$compression_type)) Utility::error("Can't compress the file with $compression_type extention");
		}
	}
	/**
	 * Make a dump of a table
	 * @param $table the table name to dump
	 * @access public
	 * @return String the table dumped
	 */

	public function datadump ($table)
	{
		$result = "# Dump created by MySQL Manager of VHCP\n";
	    $result .= "# Dump of $table \n";
	    $result .= "# Dump DATE : " . date("d-M-Y") ."\n\n";
	
	    /* Getting some info about a table*/
	    $query = mysql_query("SHOW TABLE STATUS LIKE '$table'");
	    $r = mysql_fetch_assoc($query);
	    
	    // get default charset table
	    //SELECT DEFAULT_CHARACTER_SET_NAME FROM INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_NAME LIKE 'verlihub2'
	    
	    $query = mysql_query("SHOW COLUMNS from $table");
		$key = 'PRIMARY KEY  (';
		$result .= "CREATE TABLE `$table` (\n";
		
		 while ($r = mysql_fetch_assoc($query))
	    {
	    	if($r['Key'] == 'PRI') $key .= "`{$r['Field']}`, ";
			$result .= "`{$r['Field']}` {$r['Type']} ";
			if ($r['Null'] == 'NO') $result .= "NOT NULL";
			else $result .= "NULL";
			$result .= " default '{$r['Default']}',\n";
			
	    }
	    if (strlen($key) == 14) $result .= "); \n\n";
	    else 
	    {
	    	$key = substr($key, 0, strlen($key) -2).");";
	    	$result .= ") ".$key."\n\n";
	    }
	    
	    
	    $query = mysql_query("select * from $table");
	    
	    echo $num_fields = @mysql_num_fields($query);
	    
	    echo $numrow = mysql_num_rows($query);
	   
	   /* for ($i = 0; $i<$numrow; $i++)
	    {
	    	echo $result .= "CREATE TABLE `$table` (`$row[$i]` VARCHAR( 256 ) NOT NULL) ENGINE = {$r['Engine']} DEFAULT CHARSET=utf8;";	
	    }*/
	
	    for ($i =0; $i<$numrow; $i++)
	    {
		 	$result .= "INSERT INTO ".$table." VALUES (";
		 	$row = mysql_fetch_array($query);
		    for($j=0; $j<$num_fields; $j++)
		    {
			    $row[$j] = ereg_replace("\n","\\n",$row[$j]);
			    if (isset($row[$j])) $result .= "\"".$row[$j]."\"" ;
			    else $result .= "\"\"";
			    if ($j<($num_fields-1)) $result .= ",";
		   	}   
		    $result .= ");\n";
	     }
	     return $result .= "\n\n\n";
  	}
	
	private function compress($filename,$type)
	{
		$path_file = "./pages/backup/$filename";

		$fp = @fopen($path_file,"rb");
		if ($type == 'bz2')
		{
			if (file_exists($path_file.".gz")) unlink($path_file.".gz");
			$gz = @gzopen($path_file."gz", "wb9");
		}
		elseif ($type == 'gzip')
		{
			if (file_exists($path_file.".bz2")) unlink($path_file.".bz2");
			$gz = @bzopen($path_file."bz2", "w");
		}
   		if (!$fp) return false;
   		if (!$gz) return false;
		while(!feof($fp))
		{
			$data = fgets($fp, 8192);
			if ($type == 'bz2') bzwrite($gz, $data, strlen($data));
			elseif ($type == 'gzip') gzwrite($gz,$data, strlen($data));
   		}
   		fclose($fp);
   		if ($type == 'bz2') bzclose($gz);
		elseif ($type == 'gzip') gzclose($gz);
   		return true;
	}
	
	public function showFile($folder,$link,$checkFile='',$checkExtention=true,$delete=true)
	{
		global $vcd;
		$path = $vcd."/".$folder;
		$string = '';
		if ($open = opendir($vcd."/".$folder))
		{
			while ($file = readdir($open))
			{
				@$c = ($c==$bgc[1]) ? $bgc[0] : $bgc[1];
				$string .= "  <tr style=\"background-color:#$c;\">\n";
				$lenght= strlen($file);
				if ($checkExtention)
				{
					if (filetype($path."/".$file) == 'file' && substr($file, $lenght - 3, $lenght)=="lua")
					{
						$string .= "<td><a href=\"./?page=$link&amp;file=".urlencode($folder.$file)."&method=edit\">$file</a></td>\n";
						$string .= "    <td>".date("d/m/Y - H:i", filemtime($path))."</td>\n";
						$string .= "<td>".filesize($path)." Byte</td>";
						$string .= "    <td><div align=\"center\"><a href=\"./?page=$link&file=$folder.$file\"><img style=\"border:0;\" src=\"img/del.png\" alt=\"\" /></a></div></td>\n";
					}
				}
				else
				{
					if (filetype($path."/".$file) == 'file' && in_array($file,$checkFile))
					{
						$string .= "<td><a href=\"./?page=$link&amp;file=".urlencode($folder."/".$file)."&method=edit\">$file</a></td>\n";					
						$string .= "    <td>".date("d/m/Y - H:i", filemtime($path))."</td>\n";
						$string .= "<td>".filesize($path)." Byte</td>";
						if ($delete) $string .= "    <td><div align=\"center\"><a href=\"./?page=$link&file=$folder.$file\"><img style=\"border:0;\" src=\"img/del.png\" alt=\"\" /></a></div></td>\n";
					}
					
				}
			}
			closedir($open);
		}
		return $string;
	}
	
	public function showFolder()
	{
		global $vcd;
		$string = '';
		if (is_dir($vcd))
		{
			if ($open = opendir("$vcd/"))
			{
				$string .= "<select name=\"dir\">";
				while ($file = readdir($open))
				{
					if (filetype($vcd."/".$file) == "dir") $string .= "<option value=\"$file\">$file</option>";
				}
				$string .= "</select>";
				closedir($open);
			}
		}
		else Utility::error("Can't open $vcd; please check this directory and your config file");
		return $string;
	}
	
	public function countFileLine($file)
	{
		return count(file($file));
	}
	
	public function readItem($file, $firstItem, $endItem=0)
	{
		$arrFile = file($file);
		$currentLine = 0;
	    $content = '';
	    while( $currentLine <= $endItem )
	    {
	        if($currentLine >= $firstItem) $content .= $arrFile[$currentLine];
	        $currentLine++;
	    }
	    return $content;
	}
}

?>