<?php
/***************************************************************************************
 *											*
 *   	Copyright 2006 by Davide Simoncelli                                      	*
 *   	Email: netcelli_gentoo at users dot sourceforge dot net                      	*
 *                                                                         		*
 *   	This program is free software; you can redistribute it and/or			*
 *	modify it under the terms of the GNU General Public License			*
 *	as published by the Free Software Foundation; either version 2			*
 *	of the License, or (at your option) any later version.				*
 *											*
 *	This program is distributed in the hope that it will be useful,			*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of			*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the			*
 *	GNU General Public License for more details.					*
 *											*
 *	You should have received a copy of the GNU General Public License		*
 *	along with this program; if not, write to the Free Software			*
 *	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.	*	
 *											*
 ****************************************************************************************/
if($user->checkClass(5))
{
	echo '<br /><br />
	<div align="center"><table style="border:0px; width:800px;" cellspacing="0" cellpadding="0">
	<tr><td style="height:7px;"><img src="img/main_bg_top_r.png" alt="" /></td></tr>
	<tr><td class="main" style="padding-left:10px;"></div>
	';
	?>
	<a href="./?page=isp"> Go to ISP Plugin</a>
	<form action="./?post=simple_settings" method="post">
	<input  type="hidden" name="redirect" value="./index.php?page=simple_settings&message=edit_isp_ok&type=good" />
	<table class="frame" style="width:780px;" cellspacing="0" cellpadding="0">
	  <tr>
	    <th colspan="3" class="title"><img src="img/setting.png" alt="16" /> Settings for ISP Plugin <? Utility::showHelp(); ?></th>
	  </tr>
	  <tr style="background-color:#;">
	    <th style="width:120px;"><?=$lang->getWord('setting')?></th>
	    <th style="width:100px;"><?=$lang->getWord('value')?></th>
	    <th style="width:300px;"><?=$lang->getWord('descr')?></th>
	  </tr>
	  <tr>
	    <td colspan="3" class="title2"><img src="img/general.png" alt="16" /> General settings</td>
	  </tr>
	  <tr>
	       <td class="frame">Allow connections</td>
	   <td class="frame">
<?php
	Utility::printSelect('allow_all_connections')
?>
	  </td>
	  <td class="frame">Enable or disable connections.</td>
	  </tr>
	  <tr>
	       <td class="frame">Case senitive nick pattern</td>
	   <td class="frame">
<?php
	Utility::printSelect('case_sensitive_nick_pattern')
?>
	  </td>
	       <td class="frame">Enable or disable case sensitive for nick pattern.</td>
	  </tr>
	  <tr>
	    <td colspan="3" class="title2"><img src="img/reglist.png" alt="16" /> Check nick, connection, ISP and description</td>
	  </tr>
	  <tr>
	    <td>Check connection</td>
	    <td class="frame">
<?php
		Utility::ClassSelectMenu(Verlidb::getConfig('max_check_conn_class'),7);
?>
		</td>
	    <td class="frame">Select the classes to ignore connection filtering.</td>
	  </tr>
	  <tr>
	    <td class="frame">Check ISP</td>
	    <td class="frame">
		  <select name="max_check_isp_class">
	<?php
	foreach($classes as $class=>$name)
	{
		$selected = ($class==Verlidb::getConfig('max_check_isp_class')) ? ' selected="selected"' : '';
		echo "        <option value=\"$class\"$selected>$class - $name </option>\n";
	}
	?>
	      </select>
		</td>
		<td class="frame">Select the class to ignore ISP filtering.</td>
	  </tr>
	  <tr>
	    <td class="frame">Check nick</td>
	  <td class="frame">
		  <select name="max_check_nick_class">
	<?php
	foreach($classes as $class=>$name)
	{
		$selected = ($class==Verlidb::getConfig('max_check_nick_class')) ? ' selected="selected"' : '';
		echo "        <option value=\"$class\"$selected>$class - $name </option>\n";
	}
	?>
	      </select>
		</td>
		<td class="frame">Select the class to ignore NICK filtering.</td>
	  </tr>
	  <tr>
	    <td class="frame">Check description</td>
	  <td class="frame">
		  <select name="max_insert_desc_class">
	<?php
	foreach($classes as $class=>$name)
	{
		$selected = ($class==Verlidb::getConfig('max_insert_desc_class')) ? ' selected="selected"' : '';
		echo "        <option value=\"$class\"$selected>$class - $name </option>\n";
	}
	?>
	      </select>
		</td>
		<td class="frame">Select the class to ignore description filtering.</td>
	  </tr>
	  <tr>
	    <td colspan="3" class="title2"><img src="img/otherisp.png" alt="16" /> <?=$lang->getWord('other_settings');?></td>
	  </tr>
	  <tr>
	    <td class="frame">Msg for too share</td>
		<td class="frame"><textarea cols="20" type="text" name="extra_listen_ports"><?=Verlidb::getConfig('msg_share_less');?></textarea></td>
		<td class="frame">Write here the message for a user who has to share less.</td>
	  </tr>
	  <tr>
	    <td class="frame">Msg for less share</td>
		<td class="frame"><textarea cols="20" type="text" name="msg_share_more"><?=Verlidb::getConfig('msg_share_more');?></textarea></td>
		<td class="frame">Write here the message for a user who has to share more.</td>
	  </tr>
	  <tr>
	    <td class="frame">Unit max share</td>
		<td class="frame"><input  type="text" name="unit_max_share_bytes" value="<?=Verlidb::getConfig('unit_max_share_bytes');?>" style="width:80px;" maxlength="40" /> byte</td>
		<td class="frame">Unit of max share in byte.</td>
	  </tr>
	    <td class="frame">Unit min share</td>
		<td class="frame"><input type="text" name="unit_min_share_bytes" value="<?=Verlidb::getConfig('unit_min_share_bytes');?>" style="width:80px;" maxlength="40" /> byte</td>
		<td class="frame">Unit of min share in byte.</td>
	  </tr>
	
	  <tr>
	    <td colspan="3"><div align="center"><input type="submit" value="<?=$lang->getWord('save');?>"  class="submit"/></div></td>
	  </tr>
	</table>
	
	</form>
<?php
	echo '</td></tr><tr><td style="height:7px;"><img src="img/main_bg_bottom_r.png" alt="" /></td></tr></table>';
}
?>